### Constructor

# Gtk.EntryCompletion.new_with_area

#### Declaration [src]

    GtkEntryCompletion*
    gtk_entry_completion_new_with_area (
      GtkCellArea* area
    )

#### Description [src]

Creates a new `GtkEntryCompletion` object using the specified `area`.

The `GtkCellArea` is used to layout cells in the underlying `GtkTreeViewColumn` for the drop-down menu.

#### Parameters

`area` | `GtkCellArea`
| the `GtkCellArea` used to layout cells
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkEntryCompletion`
A newly created `GtkEntryCompletion` object
Ownership of the data is transferred to the caller